Subject: Re: bug#9830: 23.3.50; y-or-n-p-with-timeout with GUI leaks memory

From: Jan Djärv <[email-masked]>
Date: Sun, 6 Nov 2011 16:54:52 +0100

Hello.

31 okt 2011 kl. 04:21 skrev YAMAMOTO Mitsuharu:

>>>>>> On Sun, 30 Oct 2011 18:41:40 +0100, Jan Djärv <[email-masked]> said:
> 
>>> The patch below uses record_unwind_protect as usual for avoiding
>>> this memory leak.  I think xmenu_show has the same problem.  I'm
>>> not sure about the W32 case.
>>> 
> 
>> You are correct.  Can you install the patch?
> 
> Done.

I see you checked in this in the emacs-23 tree.  Is that still merged to the trunk?

> 
>> As for xmenu_show, is there a case where a menu can be interrupted
>> like this?
> 
> Yes.  For example,
> 
>  (with-timeout (3 'default)
>    (x-popup-menu t '("Title" ("foo" "nonselectable"))))
> 
> Actually, y-or-n-p-with-timeout is implemented using with-timeout.

I'm waiting for your fix to show up in the trunk before fixing this.  I don't think it makes sense to use the emacs-23 tree anymore.

	Jan D.